// Darstellung einer Dini-Flche durch ihre Parameterdarstellung
// mit zeitabhngiger Vernderung (Animation) der Parameterintervalle
// A. Filler, Humboldt-Universitaet zu Berlin, 2003
// HINWEIS: Um diese Datei als Video zu rendern, muss sich die Datei
//          Kugel-Animation-Parintervalle.ini IM SELBEN ORDNER BEFINDEN 
//          WIE DIESE POV-RAY-DATEI. Gerendert werden muss die .ini-Datei,
//          damit eine Sequenz von Bildern fr ein Video entsteht.
// ---------------------------------------------------------------
#version 3.5;                         // bentigte POV-Ray-Version
#include "colors.inc"                 // Defintion der Farben
#include "textures.inc"               // Defintion von Texturen
background {White}                    // Farbe des Hintergrundes

// Parameterdarstellung der Kugel als Parameterflche

parametric {
  function {cos(u)*cos(v)}
  function {sin(v)}
  function {sin(u)*cos(v)}
  <-pi , -pi/2> , <-pi + clock*2*pi , -pi/2 + clock*pi>   // Parameterintervalle fr u und v
  contained_by { sphere { <0,0,0>, 1.05 } }  
  max_gradient 1.2   accuracy 0.001                 
  precompute 18 x,y,z                            
 texture{ pigment{rgb<0.3,0.3,1>} 
    finish{ ambient 0.5  diffuse 0.9  phong 0.3 reflection 0 }    } 
no_shadow
}

// Definition der Kamera und der Lichtquellen

#declare camera_position = <0,20,40> ;  

camera { location  camera_position
         angle 4
         look_at   <0,0,0> 
}
light_source { camera_position + <0,20,20>  color rgb <0.3, 0.3, 0.35> }
light_source { <10, 80, 0>  color rgb <1, 1, 1>   }
      